Subject: Re: FVWM: single click to deiconify

From: Dan Espen <[email-masked]>
Date: Mon, 08 Oct 2001 14:04:04 -0400

David Wales <[email-masked]> writes:
> Good suggestion:
> xev reveals that the click is not registered until I move the mouse.
> Then I see
> 
> VisibilityNotify event, serial 22, synthetic NO, window 0xc00001,
>     state VisibilityFullyObscured
> 
> On the other hand:
> Mouse   1       I       N       Iconify

That command says:

Mouse button 1, on an Icon, with no modifier key held in, does Iconify.

> deiconifies immediately on clicking - but now I get a menu instead of
> iconification when I click the left mouse button in the left corner
> button of the window.
> 
> I thought I understood the man page, but things are not behaving as I
> expected!

Keep "cc"ing the fvwm list.  Believe me, you want them to
check up on me. :)

I'd say your result points directly at a problem with your
X server.  You should not need to move the mouse for the server
to generate a button press event.

I'm not familiar with DEC's server, but I'd try the
server man page "man X".

Then I'd look for something that controls the way the mouse
works, possibly "man xset".

I don't know, it could be a broken mouse.

-- 
Dan Espen
444 Hoes Lane  Room RRC 1C-214           E-mail: [email-masked]
Piscataway, NJ 08854                     Phone: (732) 699-5570
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].